Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pulling
Class Testing

    java.lang.Object
      pulling.Testing

    public class Testing

extends java.lang.Object

Constructor Summary
`Testing()`

Method Summary
`static void` | `initHistoryFile()`
`static void` | `main(java.lang.String[] args)`
`static void` | `printHistory()`
`static java.lang.String` | `readFixedLengthString(int n, java.io.DataInput inStream)`
`static void` | `setReadingQuick(double reading, int ageRank, WeekDay wd, Hour hr)`
`static void` | `writeFixedLengthString(java.lang.String toBeWritten, int n, java.io.DataOutput outStream)`
`static java.lang.String` | `zeroOrNot(int i)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Testing

    public Testing()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setReadingQuick

    public static void setReadingQuick(double reading,
                                       int ageRank,
                                       WeekDay wd,
                                       Hour hr)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### printHistory

    public static void printHistory()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### initHistoryFile

    public static void initHistoryFile()
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFixedLengthString

    public static java.lang.String readFixedLengthString(int n,
                                                         java.io.DataInput inStream)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFixedLengthString

    public static void writeFixedLengthString(java.lang.String toBeWritten,
                                              int n,
                                              java.io.DataOutput outStream)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### zeroOrNot

    public static java.lang.String zeroOrNot(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD